﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="PagingControlDemo._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <style type="text/css">
        #users
          {
          font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
          margin-left:20%;
          width:60%;
          border-collapse:collapse;
          }

        #users td, #users th 
          {
          font-size:1em;
          border:1px solid #98bf21;
          padding:3px 7px 2px 7px;
          }

        #users th 
          {
          font-size:1.1em;
          text-align:center;
          padding-top:5px;
          padding-bottom:4px;
          background-color:#A7C942;
          color:#ffffff;
          }

        #users tr.alt td 
          {
          color:#000000;
          background-color:#EAF2D3;
          }
 

        .pagelist{ text-align:center; margin:20px 0 20px; line-height:20px; height:20px; vertical-align:middle;}
        .pagelist a{ margin:0 5px 0 5px; text-decoration:none; color:#333;}
        .pagelist a:hover{ margin:0 5px 0 5px; text-decoration:none; color:#333; text-decoration:underline;}
        .pagelist .curpage{font-weight:bold;margin:0 5px 0 5px; }
        
        .main{text-align:center; margin-top:150px;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div  class="main">
    <asp:Repeater runat="server" ID="rptDataList">
        <HeaderTemplate>
            <table id="users">
            <tr><th>编号</th><th>用户名</th><th>喜欢</th></tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td><%# paginglist.CurrentRecord + Container.ItemIndex + 1%></td>
                <td><%# Eval("Name") %></td>
                <td><%# Eval("Love")%></td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
     <os:PagingControl runat="server" ID="paginglist" PageSize="10" CssCurrent="curpage"
            ImgFirst="/images/btn_first.jpg" 
            ImgPrev="/images/btn_prev.jpg" ImgNext="/images/btn_next.jpg"
            ImgLast="/images/btn_end.jpg" CssClass="pagelist" 
             onpagechanging="paginglist_OnPageChanging" ParaName="page" ShowPageCount="11"></os:PagingControl>
             <br />
             
    </div>
    </form>
</body>
</html>
