﻿using System;
using System.Data;

using CTHFramework;

namespace PagingControlDemo
{
    /// <summary>
    /// 分页实例
    /// </summary>
    public partial class _Default : System.Web.UI.Page
    { 
        //生成数据源
        private DataTable CreateDataSource()
        {
            DataTable dt = new DataTable();
           
            dt.Columns.Add(new DataColumn("Name",typeof(string)));
            dt.Columns.Add(new DataColumn("Love", typeof(string)));
            DataRow dr;
            for (int i = 1; i <= 1000; i++)
            {
                dr = dt.NewRow();
              
                dr[0] = "陈太汉 "+i.ToString();
                dr[1] = "C++/C#";
                dt.Rows.Add(dr);
            }

            return dt;
        }

        //分页绑定
        protected void paginglist_OnPageChanging(object sender, EventArgs e)
        {
            DataTable dataSource = CreateDataSource();
            paginglist.RecordCount = dataSource.Rows.Count;
            rptDataList.DataSource = Paging.GetPagingData(dataSource, paginglist.PageIndex, paginglist.PageSize);//程序分页
            rptDataList.DataBind();
        }
    }
}
